Subject: How can I tell if a tag has been pushed, or not?

From: layer <[email-masked]>
Date: Fri, 10 Jul 2009 10:43:27 -0700

Here's the problem:

I expect that users, in their own private repos, will from time to
time create tags that should not be pushed.  Sometimes, tags that
should be pushed will be created.

I could require that the "public" tags follow a specific convention
(start with "release", or something).  Then, the scripts all my
developers use could use that and push only certain tags.  However,
over time there could be a large number of them.  It seems undesirable
to push each tag each time a push is done.  So, how can I tell if a
tag has already been pushed?  Is there a way?

Thanks.